<h4 style="margin-left: 56.5em"><label for="search-box">Youtube Player</label></h4>
<div style="margin-left: 54em">
<input #searchBox id="search-box"/>

</div>   
<button style="margin-left: 69em" (click)="search(searchBox.value); searchBox.value=''">Search</button>